from PyQt6.QtWidgets import *
from PyQt6.QtCore import Qt


class ProxyStyle(QProxyStyle):
    def styleHint(self, hint, opt=None, widget=None, returnData=None):
        res = super().styleHint(hint, opt, widget, returnData)
        res |= Qt.MouseButton.LeftButton.value
        return res


class QJumpSlider(QSlider):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.setStyle(ProxyStyle())